# Generated by Django 3.2.11 on 2022-05-01 12:48

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("edc_appointment", "0025_auto_20210624_0225"),
    ]

    operations = [
        migrations.AddField(
            model_name="appointment",
            name="appt_timing",
            field=models.CharField(
                choices=[
                    ("ontime", "On time (within window period)"),
                    ("late", "Late (outside of window period)"),
                    ("missed", "Missed"),
                ],
                default="ontime",
                help_text="If late, you may be required to complete a Protocol Deviation / Violation form. Refer to the protocol/SOP for the definition of scheduled appointment window periods.",
                max_length=25,
                verbose_name="Timing",
            ),
        ),
        migrations.AddField(
            model_name="historicalappointment",
            name="appt_timing",
            field=models.CharField(
                choices=[
                    ("ontime", "On time (within window period)"),
                    ("late", "Late (outside of window period)"),
                    ("missed", "Missed"),
                ],
                default="ontime",
                help_text="If late, you may be required to complete a Protocol Deviation / Violation form. Refer to the protocol/SOP for the definition of scheduled appointment window periods.",
                max_length=25,
                verbose_name="Timing",
            ),
        ),
        migrations.AlterField(
            model_name="appointment",
            name="appt_reason",
            field=models.CharField(
                choices=[("scheduled", "Routine / Scheduled"), ("unscheduled", "Unscheduled")],
                help_text="The visit report's `reason for visit` will be validated against this. Refer to the protocol's documentation for the definition of a `scheduled` appointment.",
                max_length=25,
                verbose_name="Reason for appointment",
            ),
        ),
        migrations.AlterField(
            model_name="appointment",
            name="appt_status",
            field=models.CharField(
                choices=[
                    ("new", "New"),
                    ("in_progress", "In Progress"),
                    ("incomplete", "Incomplete"),
                    ("done", "Done"),
                    ("cancelled", "Cancelled"),
                ],
                db_index=True,
                default="new",
                help_text="If the visit has already begun, only 'in progress', 'incomplete' or 'done' are valid options. Only unscheduled appointments may be cancelled.",
                max_length=25,
                verbose_name="Status",
            ),
        ),
        migrations.AlterField(
            model_name="historicalappointment",
            name="appt_reason",
            field=models.CharField(
                choices=[("scheduled", "Routine / Scheduled"), ("unscheduled", "Unscheduled")],
                help_text="The visit report's `reason for visit` will be validated against this. Refer to the protocol's documentation for the definition of a `scheduled` appointment.",
                max_length=25,
                verbose_name="Reason for appointment",
            ),
        ),
        migrations.AlterField(
            model_name="historicalappointment",
            name="appt_status",
            field=models.CharField(
                choices=[
                    ("new", "New"),
                    ("in_progress", "In Progress"),
                    ("incomplete", "Incomplete"),
                    ("done", "Done"),
                    ("cancelled", "Cancelled"),
                ],
                db_index=True,
                default="new",
                help_text="If the visit has already begun, only 'in progress', 'incomplete' or 'done' are valid options. Only unscheduled appointments may be cancelled.",
                max_length=25,
                verbose_name="Status",
            ),
        ),
    ]
